Module javafx.base
Package javafx.beans.property

## Class SimpleIntegerProperty

- java.lang.Object
- - javafx.beans.binding.NumberExpressionBase
  - - javafx.beans.binding.IntegerExpression
    - - javafx.beans.property.ReadOnlyIntegerProperty
      - - javafx.beans.property.IntegerProperty
        - - javafx.beans.property.IntegerPropertyBase
          - - javafx.beans.property.SimpleIntegerProperty

- All Implemented Interfaces:
    `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableIntegerValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableIntegerValue`, `WritableNumberValue`, `WritableValue<Number>`
  Direct Known Subclasses:
    `ReadOnlyIntegerWrapper`

      public class SimpleIntegerProperty
      extends IntegerPropertyBase

  This class provides a full implementation of a `Property` wrapping a `int` value.
  Since:
    JavaFX 2.0
  See Also:
    `IntegerPropertyBase`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleIntegerProperty()` | The constructor of `IntegerProperty`
    `SimpleIntegerProperty​(int initialValue)` | The constructor of `IntegerProperty`
    `SimpleIntegerProperty​(Object bean, String name)` | The constructor of `IntegerProperty`
    `SimpleIntegerProperty​(Object bean, String name, int initialValue)` | The constructor of `IntegerProperty`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getBean()` | Returns the `Object` that contains this property.
    `String` | `getName()` | Returns the name of this property.

    - ### Methods inherited from class javafx.beans.property.IntegerPropertyBase

      `addListener, addListener, bind, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, set, toString, unbind`

    - ### Methods inherited from class javafx.beans.property.IntegerProperty

      `asObject, bindBidirectional, integerProperty, setValue, unbindBidirectional`

    - ### Methods inherited from class javafx.beans.property.ReadOnlyIntegerProperty

      `readOnlyIntegerProperty`

    - ### Methods inherited from class javafx.beans.binding.IntegerExpression

      `add, add, add, add, divide, divide, divide, divide, doubleValue, floatValue, getValue, integerExpression, integerExpression, intValue, longValue, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract`

    - ### Methods inherited from class javafx.beans.binding.NumberExpressionBase

      `add, asString, asString, asString, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, numberExpression, subtract`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `getValue`

    - ### Methods inherited from interface javafx.beans.value.WritableValue

      `getValue`

- - ### Constructor Detail

    - #### SimpleIntegerProperty

          public SimpleIntegerProperty()

      The constructor of `IntegerProperty`

    - #### SimpleIntegerProperty

          public SimpleIntegerProperty​(int initialValue)

      The constructor of `IntegerProperty`
      Parameters:
        `initialValue` - the initial value of the wrapped value

    - #### SimpleIntegerProperty

          public SimpleIntegerProperty​(Object bean,
                                       String name)

      The constructor of `IntegerProperty`
      Parameters:
        `bean` - the bean of this `IntegerProperty`
        `name` - the name of this `IntegerProperty`

    - #### SimpleIntegerProperty

          public SimpleIntegerProperty​(Object bean,
                                       String name,
                                       int initialValue)

      The constructor of `IntegerProperty`
      Parameters:
        `bean` - the bean of this `IntegerProperty`
        `name` - the name of this `IntegerProperty`
        `initialValue` - the initial value of the wrapped value

  - ### Method Detail

    - #### getBean

          public Object getBean()

      Returns the `Object` that contains this property. If this property is not contained in an `Object`, `null` is returned.
      Returns:
        the containing `Object` or `null`

    - #### getName

          public String getName()

      Returns the name of this property. If the property does not have a name, this method returns an empty `String`.
      Returns:
        the name or an empty `String`